@echo off

setlocal

set scriptDir=%~dp0
set docsrcDir=%scriptDir%..\..\docsrc\manual

set whc=java -jar %scriptDir%..\..\lib\whc.jar

set fileRes=toc.xml index.xml
set dirRes=images schema wh_resources

rmdir /S /Q "%scriptDir%out"
mkdir "%scriptDir%out"

rem classic ---

set outDir=%scriptDir%out\classic
echo Generating Web Help in "%outDir%"...

mkdir "%outDir%"

%whc% -toc "%scriptDir%toc.xml" -index "%scriptDir%index.xml" "%outDir%" %docsrcDir%\*.html

for %%f in (%fileRes%) do copy "%scriptDir%%%f" "%outDir%"
for %%f in (%dirRes%) do (
mkdir "%outDir%\%%f"
xcopy "%scriptDir%%%f" "%outDir%\%%f" /S /Q
)

rem simple ---

set outDir=%scriptDir%out\simple
echo Generating Web Help in "%outDir%"..."

mkdir "%outDir%"

%whc% -p layout simple -toc "%scriptDir%toc.xml" "%outDir%" %docsrcDir%\*.html

for %%f in (%fileRes%) do copy "%scriptDir%%%f" "%outDir%"
for %%f in (%dirRes%) do (
mkdir "%outDir%\%%f"
xcopy "%scriptDir%%%f" "%outDir%\%%f" /S /Q
)

rem corporate ---

set outDir=%scriptDir%out\corporate
echo Generating Web Help in "%outDir%"..."

mkdir "%outDir%"

%whc% -p layout corporate -toc "%scriptDir%toc.xml" -index "%scriptDir%index.xml" "%outDir%" %docsrcDir%\*.html

for %%f in (%fileRes%) do copy "%scriptDir%%%f" "%outDir%"
for %%f in (%dirRes%) do (
mkdir "%outDir%\%%f"
xcopy "%scriptDir%%%f" "%outDir%\%%f" /S /Q
)

rem ==========================================================================
rem classic_l ---

set outDir=%scriptDir%out\classic_l
echo Generating Web Help in "%outDir%"...

mkdir "%outDir%"

set tabLabels=-p --tab-icon-font-weight bold -p --tab-icon-size 16px -p --tab-icon-text-gap 4px

%whc% %tabLabels% -toc "%scriptDir%toc.xml" -index "%scriptDir%index.xml" "%outDir%" %docsrcDir%\*.html

for %%f in (%fileRes%) do copy "%scriptDir%%%f" "%outDir%"
for %%f in (%dirRes%) do (
mkdir "%outDir%\%%f"
xcopy "%scriptDir%%%f" "%outDir%\%%f" /S /Q
)

rem simple_h ---

set outDir=%scriptDir%out\simple_h
echo Generating Web Help in "%outDir%"...

mkdir "%outDir%"

set headerFooter=-p user-css %scriptDir%wh_resources\xmlmind.css -p user-header %scriptDir%wh_resources\header.html -p user-footer %scriptDir%wh_resources\footer.html -p user-resources %scriptDir%wh_resources\header_footer_files

%whc% -p layout simple %headerFooter% -toc "%scriptDir%toc.xml" "%outDir%" %docsrcDir%\*.html

for %%f in (%fileRes%) do copy "%scriptDir%%%f" "%outDir%"
for %%f in (%dirRes%) do (
mkdir "%outDir%\%%f"
xcopy "%scriptDir%%%f" "%outDir%\%%f" /S /Q
)

rem classic_hc ---

set outDir=%scriptDir%out\classic_hc
echo Generating Web Help in "%outDir%"...

mkdir "%outDir%"

set customColors=-p --navigation-background-color #F1F4F8 -p --panel-background-color #E3F5FF -p --panel-border-color #D0D0D0 -p --tab-selected-color #2176BB

%whc% %headerFooter% %customColors% -toc "%scriptDir%toc.xml" -index "%scriptDir%index.xml" "%outDir%" %docsrcDir%\*.html

for %%f in (%fileRes%) do copy "%scriptDir%%%f" "%outDir%"
for %%f in (%dirRes%) do (
mkdir "%outDir%\%%f"
xcopy "%scriptDir%%%f" "%outDir%\%%f" /S /Q
)

rem corporate_green ---

set outDir=%scriptDir%out\corporate_green
echo Generating Web Help in "%outDir%"..."

mkdir "%outDir%"

set corpSettings=-p user-css %scriptDir%wh_resources\xmlmind.css -p --corp-font-family Palatino,Georgia,serif -p --corp-background-color #edf7ee -p --corp-color #202124 -p --corp-accent-color #16803b -p --corp-font-size 15px -p --corp-heading-color #16803b -p --corp-tabs-background-color #c4e1c5 -p --corp-hover-background-color #a8d3aa -p --corp-hover-border-color #70b673 -p --corp-border-color #9fb5a0

%whc% -p layout corporate  %corpSettings% -toc "%scriptDir%toc.xml" -index "%scriptDir%index.xml" "%outDir%" %docsrcDir%\*.html

for %%f in (%fileRes%) do copy "%scriptDir%%%f" "%outDir%"
for %%f in (%dirRes%) do (
mkdir "%outDir%\%%f"
xcopy "%scriptDir%%%f" "%outDir%\%%f" /S /Q
)

endlocal
