/*
 * Copyright (c) 2017 XMLmind Software. All rights reserved.
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind Web Help Compiler project.
 * For conditions of distribution and use, see the accompanying LEGAL.txt file.
 */
package com.xmlmind.whc;

import com.xmlmind.util.ObjectUtil;

@SuppressWarnings("overrides")
/*package*/ final class IndexAnchor {
    public final String href;
    public final String href2; // May be null.

    // -----------------------------------------------------------------------

    public IndexAnchor(String href, String href2) {
        this.href = href;
        this.href2 = href2;
    }

    @Override
    public boolean equals(Object other) {
        if (other == null || !(other instanceof IndexAnchor)) {
            return false;
        }

        IndexAnchor o = (IndexAnchor) other;
        return (href.equals(o.href) && ObjectUtil.equals(href2, o.href2));
    }
}
