/*
 * Copyright (c) 2017 XMLmind Software. All rights reserved.
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind Web Help Compiler project.
 * For conditions of distribution and use, see the accompanying LEGAL.txt file.
 */
package com.xmlmind.whc;

import com.xmlmind.util.ObjectUtil;

@SuppressWarnings("overrides")
/*package*/ final class IndexRef {
    public final String ref; // May be null.
    public String termHTML; // Serialized ==> escaped. May be null.
    public String termText; // May be null.

    // -----------------------------------------------------------------------

    public IndexRef(String ref, String termHTML, String termText) {
        this.ref = ref;
        this.termHTML = termHTML;
        this.termText = termText;
    }

    @Override
    public boolean equals(Object other) {
        if (other == null || !(other instanceof IndexRef)) {
            return false;
        }

        IndexRef o = (IndexRef) other;
        return (ObjectUtil.equals(ref, o.ref) && 
                ObjectUtil.equals(termText, o.termText));
    }
}
