/*
 * Copyright (c) 2017 XMLmind Software. All rights reserved.
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind Web Help Compiler project.
 * For conditions of distribution and use, see the accompanying LEGAL.txt file.
 */
package com.xmlmind.whc;

import com.xmlmind.util.XMLText;

/*package*/ final class IndexTerm {
    public final String html; // Serialized ==> escaped. 
    public final String text;
    public final String sortAs; // May be null.

    public IndexTerm(String html, String text, String sortAs) {
        this.html = html;
        this.text = text;
        this.sortAs = sortAs;
    }

    public IndexTerm append(IndexTerm other, String separ) {
        String html2 = html + XMLText.escapeXML(separ) + other.html;
        String text2 = text + separ + other.text;

        return new IndexTerm(html2, text2, null);
    }
}
